%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:		libfsapfs
Version:	20231122
Release:	1%{?dist}
Summary:	Library to access the Apple File System (APFS) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfsapfs
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	openssl
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool gcc openssl-devel        

%description
Library to access the Apple File System (APFS) format

%package devel
Summary: Header files and libraries for developing applications for libfsapfs
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfsapfs.

%if 0%{?with_python2}
%package python2
Summary: Python 2 bindings for libfsapfs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python 2 bindings for libfsapfs
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libfsapfs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libfsapfs
%endif

%package tools
Summary: Several tools for reading Apple File System (APFS) volumes
Group: Applications/System
Requires: %{name} = %{version}-%{release} fuse-libs
BuildRequires: fuse-devel

%description tools
Several tools for reading Apple File System (APFS) volumes

%prep
%setup -q

%build
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python3
%endif
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh ]; then sh autogen.sh; fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} %{?with_python2: %{?with_python3:--enable-python2}} %{?with_python2: %{!?with_python3:--enable-python}} %{?with_python3:--enable-python}
make %{?_smp_mflags}
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python2
%endif

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%if 0%{?centos} != 6
%license COPYING
%endif
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%if 0%{?centos} != 6
%license COPYING
%endif
%doc AUTHORS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.so
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%if 0%{?centos} != 6
%license COPYING
%endif
%doc AUTHORS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.so
%if 0%{?fedora} >= 36
%else
%{_libdir}/python2*/site-packages/*.la
%endif
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%if 0%{?centos} != 6
%license COPYING
%endif
%doc AUTHORS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.so
%if 0%{?fedora} >= 36
%else
%{_libdir}/python3*/site-packages/*.la
%endif
%endif

%files tools
%defattr(644,root,root,755)
%if 0%{?centos} != 6
%license COPYING
%endif
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%changelog
* Wed Nov 22 2023 Lawrence R. Rogers <lrr@cert.org> 20231122-1
* Release 20231122-1
	Version as of 20231122.

* Wed Nov 15 2023 Lawrence R. Rogers <lrr@cert.org> 20231115-1
* Release 20231115-1
	Version as of 20231115.

* Sat Jun 17 2023 Lawrence R. Rogers <lrr@cert.org> 20230617-1
* Release 20230617-1
	Version as of 20230617.

* Wed Nov 02 2022 Lawrence R. Rogers <lrr@cert.org> 20221102-1
* Release 20221102-1
	Version from 20221102

* Sat Jul  9 2022 Lawrence R. Rogers <lrr@cert.org> 20220709-1
* Release 20220709-1
	Version from 20220709

* Sat Apr 30 2022 Lawrence R. Rogers <lrr@cert.org> 20220430-1
* Release 20220430-1
	Version from 20220430

* Sat Apr 24 2021 Lawrence R. Rogers <lrr@cert.org> 20210424-1
* Release 20210424-1
	Version from 20210424

* Sun Dec  6 2020 Lawrence R. Rogers <lrr@cert.org> 20201107-2
* Release 20201107-2
	Release 2 - Removed Python 2 package


* Sat Nov  7 2020 Lawrence R. Rogers <lrr@cert.org> 20201107-1
* Release 20201107-1
	Version 20201107

* Thu Oct  8 2020 Lawrence R. Rogers <lrr@cert.org> 20201008-1
* Release 20201008-1
	Version 20201008

* Mon Jul 27 2020 Lawrence R. Rogers <lrr@cert.org> 20200727-1
* Release 20200727-1
	Version 20200727

* Thu Apr 16 2020 Lawrence R. Rogers <lrr@cert.org> 20200416-1
* Release 20200416-1
	Version 20200416

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Mon Nov  4 2019 Lawrence R. Rogers <lrr@cert.org> 20191104-1
* Release 20191104-1
        Version as of 20191104.

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20190510-2
* Release 20190510-2
	Version 20190510-2: Uses python3_pkgversion for the current version of Python 3.

* Fri May 10 2019 Lawrence R. Rogers <lrr@cert.org> 20190510-1
* Release 20190510-1
        Version as of 20190510.

* Tue May  7 2019 Lawrence R. Rogers <lrr@cert.org> 20190507-1
* Release 20190507-1
        Version as of 20190507.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20190210-3
* Release 20190210-3
        Release 3 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20190210-2
* Release 20190210-2
	Now uses standard code block for Python3

* Sun Feb 10 2019 Lawrence R. Rogers <lrr@cert.org> 20190210-1
* Release 20190210-1
        Version as of 20190210.

* Wed Feb  6 2019 Lawrence R. Rogers <lrr@cert.org> 20190206-1
* Release 20190206-1
        Version as of 20190206.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20190125-2
* Release 20190125-2
        Version as of 20190125
	-python packages renamed to -python2

* Fri Jan 25 2019 Lawrence R. Rogers <lrr@cert.org> 20190125-2
* Release 20190125-2
	Also provides libfsapfs-python2.

* Sat Dec 15 2018 Lawrence R. Rogers <lrr@cert.org> 20181215-1
* Release 20181215-1
	Version 20181215.

* Wed Dec  5 2018 Lawrence R. Rogers <lrr@cert.org> 20181205-1
* Release 20181205-1
	Version 20181205.

* Tue Dec  4 2018 Lawrence R. Rogers <lrr@cert.org> 20181204-1
* Release 20181204-1
	Version 20181204.

* Sun Nov 25 2018 Lawrence R. Rogers <lrr@cert.org> 20181125-1
* Release 20181125-1
	Version 20181125.

* Sat Nov 10 2018 Joachim Metz <joachim.metz@gmail.com> 20181110-1
* Release 20181110-1
	Version 20181110.

* Mon Nov  5 2018 Joachim Metz <joachim.metz@gmail.com> 20181105-1
- Auto-generated
	Version 20181105.
